--- old/usr/src/uts/common/inet/sctp/sctp_impl.h	2012-08-18 10:37:19.254457184 +0000
+++ new/usr/src/uts/common/inet/sctp/sctp_impl.h	2012-08-18 10:37:19.302716445 +0000
@@ -445,6 +445,9 @@
 typedef struct sctp_tf_s {
 	struct sctp_s	*tf_sctp;
 	kmutex_t	tf_lock;
+#define	SF_CACHEL_PAD	64
+	uchar_t		tf_pad[SF_CACHEL_PAD - (sizeof (struct sctp_s *) +
+			    sizeof (kmutex_t))];
 } sctp_tf_t;
 
 /* Round up the value to the nearest mss. */
--- old/usr/src/uts/common/inet/tcp/tcp.c	2012-08-18 10:37:20.027896636 +0000
+++ new/usr/src/uts/common/inet/tcp/tcp.c	2012-08-18 10:37:20.082189031 +0000
@@ -2699,7 +2699,6 @@
 	connp->conn_zoneid = zoneid;
 	/* conn_allzones can not be set this early, hence no IPCL_ZONEID */
 	connp->conn_ixa->ixa_zoneid = zoneid;
-	connp->conn_mlp_type = mlptSingle;
 	ASSERT(connp->conn_netstack == tcps->tcps_netstack);
 	ASSERT(tcp->tcp_tcps == tcps);
 
--- old/usr/src/uts/common/inet/tcp/tcp_opt_data.c	2012-08-18 10:37:20.657939847 +0000
+++ new/usr/src/uts/common/inet/tcp/tcp_opt_data.c	2012-08-18 10:37:20.668722121 +0000
@@ -42,6 +42,8 @@
 #include <inet/proto_set.h>
 #include <inet/tcp_impl.h>
 
+static int      tcp_opt_default(queue_t *, t_scalar_t, t_scalar_t, uchar_t *);
+
 /*
  * Table of all known options handled on a TCP protocol stack.
  *
--- old/usr/src/uts/common/inet/tcp/tcp_socket.c	2012-08-18 10:37:20.984142351 +0000
+++ new/usr/src/uts/common/inet/tcp/tcp_socket.c	2012-08-18 10:37:21.005224879 +0000
@@ -54,12 +54,16 @@
 static int	tcp_listen(sock_lower_handle_t, int, cred_t *);
 static int	tcp_connect(sock_lower_handle_t, const struct sockaddr *,
 		    socklen_t, sock_connid_t *, cred_t *);
+static int	tcp_getpeername(sock_lower_handle_t, struct sockaddr *,
+		    socklen_t *, cred_t *);
+static int	tcp_getsockname(sock_lower_handle_t, struct sockaddr *,
+		    socklen_t *, cred_t *);
 static int	tcp_getsockopt(sock_lower_handle_t, int, int, void *,
 		    socklen_t *, cred_t *);
 static int	tcp_setsockopt(sock_lower_handle_t, int, int, const void *,
 		    socklen_t, cred_t *);
 static int	tcp_sendmsg(sock_lower_handle_t, mblk_t *, struct nmsghdr *,
-		    cred_t *cr);
+		    cred_t *);
 static int	tcp_shutdown(sock_lower_handle_t, int, cred_t *);
 static void	tcp_clr_flowctrl(sock_lower_handle_t);
 static int	tcp_ioctl(sock_lower_handle_t, int, intptr_t, int, int32_t *,
@@ -327,7 +331,6 @@
 		(*connp->conn_upcalls->su_set_proto_props)(
 		    connp->conn_upper_handle, &sopp);
 	}
-done:
 	squeue_synch_exit(connp);
 
 	return ((error == 0) ? EINPROGRESS : error);
@@ -752,6 +755,7 @@
 {
 	conn_t		*connp;
 	boolean_t	isv6 = family == AF_INET6;
+
 	if (type != SOCK_STREAM || (family != AF_INET && family != AF_INET6) ||
 	    (proto != 0 && proto != IPPROTO_TCP)) {
 		*errorp = EPROTONOSUPPORT;
@@ -765,8 +769,8 @@
 
 	/*
 	 * Put the ref for TCP. Ref for IP was already put
-	 * by ipcl_conn_create. Also Make the conn_t globally
-	 * visible to walkers
+	 * by ipcl_conn_create. Also make the conn_t globally
+	 * visible to walkers.
 	 */
 	mutex_enter(&connp->conn_lock);
 	CONN_INC_REF_LOCKED(connp);
--- old/usr/src/uts/common/inet/tcp_impl.h	2012-08-18 10:37:21.303575831 +0000
+++ new/usr/src/uts/common/inet/tcp_impl.h	2012-08-18 10:37:21.320552141 +0000
@@ -546,10 +546,6 @@
 extern void	tcp_eager_cleanup(tcp_t *, boolean_t);
 extern void	tcp_eager_kill(void *, mblk_t *, void *, ip_recv_attr_t *);
 extern void	tcp_eager_unlink(tcp_t *);
-extern int	tcp_getpeername(sock_lower_handle_t, struct sockaddr *,
-		    socklen_t *, cred_t *);
-extern int	tcp_getsockname(sock_lower_handle_t, struct sockaddr *,
-		    socklen_t *, cred_t *);
 extern void	tcp_init_values(tcp_t *, tcp_t *);
 extern void	tcp_ipsec_cleanup(tcp_t *);
 extern int	tcp_maxpsz_set(tcp_t *, boolean_t);
@@ -679,7 +675,6 @@
 /*
  * TCP option processing related functions in tcp_opt_data.c
  */
-extern int	tcp_opt_default(queue_t *, t_scalar_t, t_scalar_t, uchar_t *);
 extern int	tcp_opt_get(conn_t *, int, int, uchar_t *);
 extern int	tcp_opt_set(conn_t *, uint_t, int, int, uint_t, uchar_t *,
 		    uint_t *, uchar_t *, void *, cred_t *);
--- old/usr/src/uts/common/inet/tcp_stats.h	2012-08-18 10:37:21.643901515 +0000
+++ new/usr/src/uts/common/inet/tcp_stats.h	2012-08-18 10:37:21.653079147 +0000
@@ -48,7 +48,7 @@
  *
  * TCP_DBGSTAT(name) does atomic increment of a named stat counter. It is
  * supposed to be used for DEBUG purposes and may be used on a hot path.
- * These counters are only available in a debugged kerel.  They are grouped
+ * These counters are only available in a debugged kernel.  They are grouped
  * under the TCP_DEBUG_COUNTER C pre-processor condition.
  *
  * Both TCP_STAT and TCP_DBGSTAT counters are available using kstat
--- old/usr/src/uts/common/inet/tunables.c	2012-08-18 10:37:21.966834655 +0000
+++ new/usr/src/uts/common/inet/tunables.c	2012-08-18 10:37:21.975440362 +0000
@@ -34,6 +34,8 @@
 #include <inet/tcp_stack.h>
 #include <inet/tcp_impl.h>
 #include <inet/udp_impl.h>
+#include <inet/dccp_stack.h>
+#include <inet/dccp_impl.h>
 #include <inet/sctp/sctp_stack.h>
 #include <inet/sctp/sctp_impl.h>
 #include <inet/tunables.h>
@@ -205,6 +207,7 @@
 	ip_stack_t	*ipst;
 	tcp_stack_t	*tcps;
 	sctp_stack_t	*sctps;
+	dccp_stack_t	*dccps;
 	udp_stack_t	*us;
 	icmp_stack_t	*is;
 	uint_t		size;
@@ -236,6 +239,10 @@
 		sctps = (sctp_stack_t *)cbarg;
 		ptbl = sctps->sctps_propinfo_tbl;
 		break;
+	case MOD_PROTO_DCCP:
+		dccps = (dccp_stack_t *)cbarg;
+		ptbl = dccps->dccps_propinfo_tbl;
+		break;
 	default:
 		return (EINVAL);
 	}
--- old/usr/src/uts/common/inet/tunables.h	2012-08-18 10:37:22.235610631 +0000
+++ new/usr/src/uts/common/inet/tunables.h	2012-08-18 10:37:22.246234697 +0000
@@ -79,6 +79,7 @@
 #define	MOD_PROTO_TCP		0x08	/* property is applicable to TCP */
 #define	MOD_PROTO_UDP		0x10	/* property is applicable to UDP */
 #define	MOD_PROTO_SCTP		0x20	/* property is applicable to SCTP */
+#define	MOD_PROTO_DCCP		0x40	/* property is applicable to DCCP */
 
 /* property is applicable to both IPV[4|6] */
 #define	MOD_PROTO_IP		(MOD_PROTO_IPV4|MOD_PROTO_IPV6)
--- old/usr/src/uts/common/netinet/Makefile	2012-08-18 10:37:22.556303399 +0000
+++ new/usr/src/uts/common/netinet/Makefile	2012-08-18 10:37:22.587821096 +0000
@@ -18,9 +18,6 @@
 #
 # CDDL HEADER END
 #
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -29,10 +26,10 @@
 # include global definitions
 include ../../../Makefile.master
 
-HDRS=	arp.h dhcp.h dhcp6.h icmp6.h icmp_var.h if_ether.h igmp.h igmp_var.h \
-	in.h inetutil.h in_pcb.h in_systm.h in_var.h ip.h ip6.h ip_icmp.h \
-	ip_mroute.h ip_var.h pim.h sctp.h tcp.h tcp_debug.h tcp_fsm.h \
-	tcp_seq.h tcp_timer.h tcp_var.h tcpip.h udp.h udp_var.h
+HDRS=	arp.h dccp.h dhcp.h dhcp6.h icmp6.h icmp_var.h if_ether.h igmp.h \
+	igmp_var.h in.h inetutil.h in_pcb.h in_systm.h in_var.h ip.h ip6.h \
+	ip_icmp.h ip_mroute.h ip_var.h pim.h sctp.h tcp.h tcp_debug.h \
+	tcp_fsm.h tcp_seq.h tcp_timer.h tcp_var.h tcpip.h udp.h udp_var.h
 
 ROOTDIRS= $(ROOT)/usr/include/netinet
 
--- /dev/null	2012-08-18 10:37:22.000000000 +0000
+++ new/usr/src/uts/common/netinet/dccp.h	2012-08-18 10:37:22.839094471 +0000
@@ -0,0 +1,89 @@
+/*
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
+ *
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
+ */
+
+/*
+ * Copyright 2012 David Hoeppner.  All rights reserved.
+ */
+
+#ifndef	_NETINET_DCCP_H
+#define	_NETINET_DCCP_H
+
+#ifdef	__cplusplus
+extern "C" {
+#endif
+
+/*
+ * DCCP header
+ */
+struct dccphdr {
+	uint16_t	dh_sport;
+	uint16_t	dh_dport;
+	uint8_t		dh_offset;
+#ifdef _BIT_FIELDS_LTOH
+	uint8_t		dh_cscov:4,
+			dh_ccval:4;
+#else
+	uint8_t		dh_ccval:4,
+			dh_cscov:4;
+#endif
+	uint16_t	dh_sum;
+#ifdef _BIT_FIELDS_LTOH
+	uint8_t		dh_x:1,
+			dh_type:4,
+			dh_reserved:3;
+#else
+	uint8_t		dh_reserved:3,
+			dh_type:4,
+			dh_x:1;
+#endif
+	uint8_t		dh_res_seq;
+	uint16_t	dh_seq;
+};
+
+#define	DCCPOPT_PADDING			0
+#define	DCCPOPT_MANDATORY		1
+#define	DCCPOPT_SLOW_RECEIVER		2
+#define	DCCPOPT_CHANGE_L		32
+#define	DCCPOPT_CONFIRM_L		33
+#define	DCCPOPT_CHANGE_R		34
+#define	DCCPOPT_CONFIRM_R		35
+#define	DCCPOPT_INIT_COOKIE		36
+#define	DCCPOPT_NDP_COUNT		37
+#define	DCCPOPT_ACK_VECTOR_1		38
+#define	DCCPOPT_ACK_VECTOR_2		39
+#define	DCCPOPT_DATA_DROPPED		40
+#define	DCCPOPT_TIMESTAMP		41
+#define	DCCPOPT_TIMESTAMP_ECHO		42
+#define	DCCPOPT_ELAPSED_TIME		43
+#define	DCCPOPT_DATA_CHECKSUM		44
+
+/*
+ * Options for use with getsockopt and setsockopt.
+ */
+
+#define	DCCP_KEEPALIVE			0x08
+#define	DCCP_NOTIFY_THRESHOLD		0x10
+#define	DCCP_ABORT_THRESHOLD		0x11
+#define	DCCP_CONN_NOTIFY_THRESHOLD	0x12
+#define	DCCP_CONN_ABORT_THRESHOLD	0x13
+
+#define	DCCP_KEEPALIVE_THRESHOLD	0x16
+#define	DCCP_KEEPALIVE_ABORT_THRESHOLD	0x17
+
+#define	DCCP_KEEPIDLE			0x22
+#define	DCCP_KEEPCNT			0x23
+#define	DCCP_KEEPINTVL			0x24
+
+#ifdef	__cplusplus
+}
+#endif
+
+#endif	/* _NETINET_DCCP_H */
--- old/usr/src/uts/common/netinet/in.h	2012-08-18 10:37:23.016547010 +0000
+++ new/usr/src/uts/common/netinet/in.h	2012-08-18 10:37:23.033284229 +0000
@@ -159,6 +159,7 @@
 #define	IPPROTO_PUP		12		/* pup */
 #define	IPPROTO_UDP		17		/* user datagram protocol */
 #define	IPPROTO_IDP		22		/* xns idp */
+#define	IPPROTO_DCCP		33		/* DCCP */
 #define	IPPROTO_IPV6		41		/* IPv6 encapsulated in IP */
 #define	IPPROTO_ROUTING		43		/* Routing header for IPv6 */
 #define	IPPROTO_FRAGMENT	44		/* Fragment header for IPv6 */
--- old/usr/src/uts/common/sys/netstack.h	2012-08-18 10:37:23.467888523 +0000
+++ new/usr/src/uts/common/sys/netstack.h	2012-08-18 10:37:23.501374174 +0000
@@ -81,7 +81,8 @@
 #define	NS_IPSECESP	16
 #define	NS_IPNET	17
 #define	NS_ILB		18
-#define	NS_MAX		(NS_ILB+1)
+#define	NS_DCCP		19
+#define	NS_MAX		(NS_DCCP+1)
 
 /*
  * State maintained for each module which tracks the state of
@@ -157,6 +158,7 @@
 			struct ipsecesp_stack	*nu_ipsecesp;
 			struct ipnet_stack	*nu_ipnet;
 			struct ilb_stack	*nu_ilb;
+			struct dccp_stack	*nu_dccp;
 		} nu_s;
 	} netstack_u;
 #define	netstack_modules	netstack_u.nu_modules
@@ -179,6 +181,7 @@
 #define	netstack_ipsecesp	netstack_u.nu_s.nu_ipsecesp
 #define	netstack_ipnet		netstack_u.nu_s.nu_ipnet
 #define	netstack_ilb		netstack_u.nu_s.nu_ilb
+#define	netstack_dccp		netstack_u.nu_s.nu_dccp
 
 	nm_state_t	netstack_m_state[NS_MAX]; /* module state */
 
--- old/usr/src/uts/common/sys/sdt.h	2012-08-18 10:37:23.912930339 +0000
+++ new/usr/src/uts/common/sys/sdt.h	2012-08-18 10:37:23.954185599 +0000
@@ -329,6 +329,33 @@
 	DTRACE_PROBE5(__udp_##name, type1, arg1, type2, arg2,		\
 	    type3, arg3, type4, arg4, type5, arg5);
 
+#define	DTRACE_DCCP(name)						\
+	DTRACE_PROBE(__dccp_##name);
+
+#define	DTRACE_DCCP1(name, type1, arg1)					\
+	DTRACE_PROBE1(__dccp_##name, type1, arg1);
+
+#define	DTRACE_DCCP2(name, type1, arg1, type2, arg2)			\
+	DTRACE_PROBE2(__dccp_##name, type1, arg1, type2, arg2);
+
+#define	DTRACE_DCCP3(name, type1, arg1, type2, arg2, type3, arg3)	\
+	DTRACE_PROBE3(__dccp_##name, type1, arg1, type2, arg2, type3, arg3);
+
+#define	DTRACE_DCCP4(name, type1, arg1, type2, arg2,			\
+    type3, arg3, type4, arg4)						\
+	DTRACE_PROBE4(__dccp_##name, type1, arg1, type2, arg2,		\
+	    type3, arg3, type4, arg4);
+
+#define	DTRACE_DCCP5(name, type1, arg1, type2, arg2,			\
+    type3, arg3, type4, arg4, type5, arg5)				\
+	DTRACE_PROBE5(__dccp_##name, type1, arg1, type2, arg2,		\
+	    type3, arg3, type4, arg4, type5, arg5);
+
+#define	DTRACE_DCCP6(name, type1, arg1, type2, arg2,			\
+    type3, arg3, type4, arg4, type5, arg5, type6, arg6)			\
+	DTRACE_PROBE6(__dccp_##name, type1, arg1, type2, arg2,		\
+	    type3, arg3, type4, arg4, type5, arg5, type6, arg6);
+
 
 #define	DTRACE_SYSEVENT2(name, type1, arg1, type2, arg2)		\
 	DTRACE_PROBE2(__sysevent_##name, type1, arg1, type2, arg2);
--- old/usr/src/uts/intel/Makefile.intel.shared	2012-08-18 10:37:24.323571667 +0000
+++ new/usr/src/uts/intel/Makefile.intel.shared	2012-08-18 10:37:24.383704246 +0000
@@ -230,6 +230,8 @@
 DRV_KMODS	+= crypto
 DRV_KMODS	+= cryptoadm
 DRV_KMODS	+= dca
+DRV_KMODS	+= dccp
+DRV_KMODS	+= dccp6
 DRV_KMODS	+= devinfo
 DRV_KMODS	+= dld
 DRV_KMODS	+= dlpistub
--- /dev/null	2012-08-18 10:37:24.000000000 +0000
+++ new/usr/src/uts/intel/dccp/Makefile	2012-08-18 10:37:24.900189523 +0000
@@ -0,0 +1,98 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# uts/intel/dccp/Makefile
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+#	This makefile drives the production of the dccp driver kernel module.
+#
+#	intel implementation architecture dependent
+#
+
+#
+#	Path to the base of the uts directory tree (usually /usr/src/uts).
+#
+UTSBASE	= ../..
+
+#
+#	Define the module and object file sets.
+#
+MODULE		= dccp
+OBJECTS		= $(DCCP_OBJS:%=$(OBJS_DIR)/%)
+LINTS		= $(DCCP_OBJS:%.o=$(LINTS_DIR)/%.ln)
+ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
+ROOTLINK	= $(ROOT_STRMOD_DIR)/$(MODULE) $(ROOT_SOCK_DIR)/$(MODULE)
+CONF_SRCDIR	= $(UTSBASE)/common/inet/dccp
+
+#
+# Extra for $(MODULE).check target
+#
+# Need to remove ipddi.o since it has non-static defines for _init etc.
+IP_CHECK_OBJS	= $(IP_OBJS:ipddi.o=ip.o)
+EXTRA_CHECK_OBJS = $(IP_CHECK_OBJS:%=../ip/$(OBJS_DIR)/%)
+
+#
+#	Include common rules.
+#
+include $(UTSBASE)/intel/Makefile.intel
+
+#
+#	Define targets
+#
+ALL_TARGET	= $(BINARY) $(SRC_CONFILE)
+LINT_TARGET	= $(MODULE).lint
+INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOTLINK) $(ROOT_CONFFILE)
+
+#
+#	depends on ip and sockfs
+#
+LDFLAGS		+= -dy -Ndrv/ip -Nfs/sockfs
+
+#
+#	Default build targets.
+#
+.KEEP_STATE:
+
+def:		$(DEF_DEPS)
+
+all:		$(ALL_DEPS)
+
+clean:		$(CLEAN_DEPS)
+
+clobber:	$(CLOBBER_DEPS)
+
+lint:		$(LINT_DEPS)
+
+modlintlib:	$(MODLINTLIB_DEPS)
+
+clean.lint:	$(CLEAN_LINT_DEPS)
+
+install:	$(INSTALL_DEPS)
+
+$(ROOTLINK):	$(ROOT_STRMOD_DIR) $(ROOT_SOCK_DIR) $(ROOTMODULE)
+	-$(RM) $@; ln $(ROOTMODULE) $@
+
+#
+#	Include common targets.
+#
+include $(UTSBASE)/intel/Makefile.targ
--- /dev/null	2012-08-18 10:37:25.000000000 +0000
+++ new/usr/src/uts/intel/dccp6/Makefile	2012-08-18 10:37:25.036199708 +0000
@@ -0,0 +1,93 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+#	This makefile drives the production of the dccp6 driver kernel module.
+#
+#	intel implementation architecture dependent
+#
+
+#
+#	Path to the base of the uts directory tree (usually /usr/src/uts).
+#
+UTSBASE	= ../..
+
+#
+#	Define the module and object file sets.
+#
+MODULE		= dccp6
+OBJECTS		= $(TCP6_OBJS:%=$(OBJS_DIR)/%)
+LINTS		= $(TCP6_OBJS:%.o=$(LINTS_DIR)/%.ln)
+ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
+CONF_SRCDIR	= $(UTSBASE)/common/inet/dccp
+
+#
+# Extra for $(MODULE).check target
+#
+# Need to remove ipddi.o since it has non-static defines for _init etc.
+IP_CHECK_OBJS	= $(IP_OBJS:ipddi.o=ip.o)
+EXTRA_CHECK_OBJS = $(IP_CHECK_OBJS:%=../ip/$(OBJS_DIR)/%)
+
+#
+#	Include common rules.
+#
+include $(UTSBASE)/intel/Makefile.intel
+
+#
+#	Define targets
+#
+ALL_TARGET	= $(BINARY) $(SRC_CONFFILE)
+LINT_TARGET	= $(MODULE).lint
+INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
+
+#
+#	depends on tcp ip and ip6
+#
+LDFLAGS		+= -dy -Ndrv/tcp -Ndrv/ip -Ndrv/ip6
+
+#
+#	Default build targets.
+#
+.KEEP_STATE:
+
+def:		$(DEF_DEPS)
+
+all:		$(ALL_DEPS)
+
+clean:		$(CLEAN_DEPS)
+
+clobber:	$(CLOBBER_DEPS)
+
+lint:		$(LINT_DEPS)
+
+modlintlib:	$(MODLINTLIB_DEPS)
+
+clean.lint:	$(CLEAN_LINT_DEPS)
+
+install:	$(INSTALL_DEPS)
+
+#
+#	Include common targets.
+#
+include $(UTSBASE)/intel/Makefile.targ
--- old/usr/src/uts/intel/ip/ip.global-objs.debug64	2012-08-18 10:37:25.185964038 +0000
+++ new/usr/src/uts/intel/ip/ip.global-objs.debug64	2012-08-18 10:37:25.209166237 +0000
@@ -48,6 +48,30 @@
 cl_sctp_listen
 cl_sctp_unlisten
 conn_drain_nthreads
+dccp_acceptor_rinit
+dccp_acceptor_winit
+dccp_bind_fanout_size
+dccp_conn_cache
+dccp_fallback_sock_winit
+dccp_g_t_info_ack
+dccp_g_t_info_ack_v6
+dccp_max_optsize
+dccp_opt_arr
+dccp_opt_obj
+dccp_propinfo_count
+dccp_propinfo_tbl
+dccp_random_anon_port
+dccp_rinfo
+dccp_rinitv4
+dccp_rinitv6
+dccp_sock_winit
+dccp_squeue_flag
+dccp_timercache
+dccp_valid_levels_arr
+dccp_winfo
+dccp_winit
+dccpinfov4
+dccpinfov6
 dce_cache
 default_ip6_asp_table
 do_tcp_fusion
@@ -144,6 +168,8 @@
 ipcl_conn_hash_maxsize
 ipcl_conn_hash_memfactor
 ipcl_conn_hash_size
+ipcl_dccp_bind_fanout_size
+ipcl_dccp_conn_fanout_size
 ipcl_iptun_fanout_size
 ipcl_raw_fanout_size
 ipcl_udp_fanout_size
@@ -236,6 +262,7 @@
 sin6_null
 sin_null
 skip_sctp_cksum
+sock_dccp_downcalls
 sock_rawip_downcalls
 sock_rts_downcalls
 sock_tcp_downcalls
--- old/usr/src/uts/intel/ip/ip.global-objs.obj64	2012-08-18 10:37:25.594355824 +0000
+++ new/usr/src/uts/intel/ip/ip.global-objs.obj64	2012-08-18 10:37:25.642252457 +0000
@@ -48,6 +48,30 @@
 cl_sctp_listen
 cl_sctp_unlisten
 conn_drain_nthreads
+dccp_acceptor_rinit
+dccp_acceptor_winit
+dccp_bind_fanout_size
+dccp_conn_cache
+dccp_fallback_sock_winit
+dccp_g_t_info_ack
+dccp_g_t_info_ack_v6
+dccp_max_optsize
+dccp_opt_arr
+dccp_opt_obj
+dccp_propinfo_count
+dccp_propinfo_tbl
+dccp_random_anon_port
+dccp_rinfo
+dccp_rinitv4
+dccp_rinitv6
+dccp_sock_winit
+dccp_squeue_flag
+dccp_timercache
+dccp_valid_levels_arr
+dccp_winfo
+dccp_winit
+dccpinfov4
+dccpinfov6
 dce_cache
 default_ip6_asp_table
 do_tcp_fusion
@@ -144,6 +168,8 @@
 ipcl_conn_hash_maxsize
 ipcl_conn_hash_memfactor
 ipcl_conn_hash_size
+ipcl_dccp_bind_fanout_size
+ipcl_dccp_conn_fanout_size
 ipcl_iptun_fanout_size
 ipcl_raw_fanout_size
 ipcl_udp_fanout_size
@@ -233,6 +259,7 @@
 sctpdebug
 sin6_null
 sin_null
+sock_dccp_downcalls
 sock_rawip_downcalls
 sock_rts_downcalls
 sock_tcp_downcalls
